import React from 'react';
import { storiesOf } from '@storybook/react';
import { action } from '@storybook/addon-actions';

import Tabs from './tabs';

storiesOf('Composites|Tabs', module)
  .add('Tabs', () => (
    <Tabs
      options={['QUOTES', 'POLICIES', 'CERTIFICATES']}
      onSelect={action('select')}
    />
  ))
  .add('Tabs Selected', () => (
    <Tabs
      selectedOption="POLICIES"
      options={['QUOTES', 'POLICIES', 'CERTIFICATES']}
      onSelect={action('select')}
    />
  ));
